# Class ExtractMethodMixin

#### Hierarchy (view full)

- ExtractMethodsMixin
  - ExtractMethodMixin
    - ExtractOptionsMethodMixin
    - ExtractResolveMethodMixin

- Defined in packages/angular/form-system/src/lib/mixins/extract-method.mixin.ts:8
- Defined in packages/angular/form-system/src/lib/mixins/extract-method.mixin.ts:12

#####
Index

### Constructors

constructor

### Properties

injector

### Methods

extractMethod
extractMethods

## Constructors

### constructor

- new ExtractMethodMixin(): ExtractMethodMixin

- #### Returns ExtractMethodMixin

  Inherited from ExtractMethodsMixin.constructor

## Properties

### `Protected` injector

injector: Injector

- Defined in packages/angular/form-system/src/lib/mixins/extract-method.mixin.ts:14

## Methods

### extractMethod

- extractMethod(formDefinition, controlId, name): Method<any, any>

- #### Parameters

  - formDefinition: FormDefinition<any, any, any>
  - controlId: string
  - name: string

  #### Returns Method<any, any>

  - Defined in packages/angular/form-system/src/lib/mixins/extract-method.mixin.ts:16

### `Protected` extractMethods

- extractMethods(formDefinition, controlId): Map<string, UseMethodDefinition<unknown, unknown, UseMethodConfig<unknown, unknown, any, any>>>

- #### Parameters

  - formDefinition: FormDefinition<any, any, any>
  - controlId: string

  #### Returns Map<string, UseMethodDefinition<unknown, unknown, UseMethodConfig<unknown, unknown, any, any>>>

  Inherited from ExtractMethodsMixin.extractMethods

  - Defined in packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts:43